Bug 240954 - converters/libiconv: update to 1.16
Summary: converters/libiconv: update to 1.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-01 02:08 UTC by Yuichiro NAITO
Modified: 2020-06-08 08:38 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
antoine: exp-run+


Attachments
libiconv-1.16.patch (8.56 KB, patch)
2019-10-01 02:08 UTC, Yuichiro NAITO
no flags Details | Diff
libiconv114.patch (12.28 KB, patch)
2019-10-01 02:08 UTC, Yuichiro NAITO
no flags Details | Diff
libiconv-1.16.v2.patch (10.01 KB, patch)
2020-05-09 09:12 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2019-10-01 02:08:03 UTC
Created attachment 207971 [details]
libiconv-1.16.patch

libiconv-1.16 has been released since April. 26, 2019.
Our libiconv port has Japanese specific patch which seems
discontinued updating for a long time.
It's time to obsolete the discontinued patch and update libiconv.

The `libiconv-1.16.patch` updates converters/libiconv port.
I have fixed portlint warnings, too.

For people who really want to use the Japanese specific patch,
I suggest to move libiconv 1.14 to japanese/libiconv114 and
switch to use japanese/libiconv114 via
`portmaster -o japanese/libiconv114 converters/libiconv` and
`pkg set -o converters/libiconv:japanese/libiconv114`.

The `libiconv114.patch` creates japanese/libiconv114 port.

Please apply two patches and announce following message in UPDATING text.

```
AFFECTS: users of converters/libiconv with PATCHES option

Japanese specific patch has been obsoleted.
Because it seems discontinued updating for a long time.
Users who really want to use the patch,
Please switch to use japanese/libiconv114 port.

  portmaster -o japanese/libiconv114 converters/libiconv
  pkg set -o converters/libiconv:japanese/libiconv114
```
Comment 1 Yuichiro NAITO 2019-10-01 02:08:35 UTC
Created attachment 207972 [details]
libiconv114.patch
Comment 2 daniel.engberg.lists 2020-04-22 17:23:35 UTC
Tijl, can you have a look at this?
Comment 3 Mathieu Arnold freebsd_committer 2020-05-07 09:45:31 UTC
This requires an exp-run. (When the patch is ready and all)
Comment 4 Niclas Zeising freebsd_committer 2020-05-09 09:12:25 UTC
Created attachment 214301 [details]
libiconv-1.16.v2.patch

I added a small tweak to enable some more charsets in localcharset.c, that was previously in config.charset.  Other than that, the patch looks good.

I'm not sure exactly how to handle the Japanese patch, or if we should create a separate port for that.  That option was not enabled by default in any case.

This is ready for an exp-run to get us started working on any fallout, we can think about if we want to create a libiconv114 with the Japanese patches available there afterwards.
Comment 5 Niclas Zeising freebsd_committer 2020-05-09 09:13:15 UTC
This is ready for an exp-run.
Comment 6 Antoine Brodin freebsd_committer 2020-05-15 17:40:10 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2020-05-18 18:32:58 UTC
A commit references this bug:

Author: zeising
Date: Mon May 18 18:32:01 UTC 2020
New revision: 535769
URL: https://svnweb.freebsd.org/changeset/ports/535769

Log:
  converters/libiconv: Update to 1.16

  Update converters/libiconv to 1.16.
  This update removes the extra patches for CP932 and EUCJP-MS, as they are
  not compatible with this release.
  Add an UPDATING entry for this change.
  ABI/API stable, no need to bump dependent ports:
  https://abi-laboratory.pro/index.php?view=timeline&l=libiconv

  PR:		240954
  Submitted by:	Yuichiro NAITO
  Exp-run by:	antoine
  Approved by:	maintainer timeout (gnome@)

Changes:
  head/UPDATING
  head/converters/libiconv/Makefile
  head/converters/libiconv/distinfo
  head/converters/libiconv/files/patch-include-iconv.h.in
  head/converters/libiconv/files/patch-libcharset__lib__config.charset
  head/converters/libiconv/files/patch-libcharset_lib_localcharset.c
  head/converters/libiconv/files/patch-src__Makefile.in
  head/converters/libiconv/pkg-plist
Comment 8 Niclas Zeising freebsd_committer 2020-05-18 18:34:54 UTC
I committed the update of libiconv.  If anyone needs it (and requests it), I'll add the libiconv 1.14 back, with the japanese patches.

Keep this PR open for a bit in case there's fallout.
Comment 9 Yuichiro NAITO 2020-05-19 01:24:12 UTC
Thanks for commiting.

> Keep this PR open for a bit in case there's fallout.

OK. I don't close this PR as well.
Comment 10 Yuichiro NAITO 2020-05-25 02:24:49 UTC
Does anybody fix UPDATING message as follows?
It will be matched by `pkg updating`.

Index: UPDATING
===================================================================
--- UPDATING    (revision 536426)
+++ UPDATING    (working copy)
@@ -6,7 +6,7 @@
 you update your ports collection, before attempting any port upgrades.
 
 20200518:
-  AFFECTS: users of converers/libiconv
+  AFFECTS: users of converters/libiconv
   AUTHOR: zeising@FreeBSD.org
 
   Support for the Japanese specific patches have been discontinued.
Comment 11 commit-hook freebsd_committer 2020-05-25 17:06:55 UTC
A commit references this bug:

Author: zeising
Date: Mon May 25 17:06:33 UTC 2020
New revision: 536482
URL: https://svnweb.freebsd.org/changeset/ports/536482

Log:
  UPDATING: fix typo in converters/libiconv title.

  PR:		240954
  Reported by:	Yuichiro NAITO

Changes:
  head/UPDATING
Comment 12 Yuichiro NAITO 2020-05-26 03:23:06 UTC
(In reply to commit-hook from comment #11)
Thank you!
Comment 13 Matthias Andree freebsd_committer 2020-06-07 18:19:26 UTC
can we close this PR now?
Comment 14 Yuichiro NAITO 2020-06-08 00:48:12 UTC
(In reply to Matthias Andree from comment #13)
> can we close this PR now?

I don't have any issues for this PR.
I feel it's ok to close if zeising@ does same.
Comment 15 Niclas Zeising freebsd_committer 2020-06-08 08:38:18 UTC
No reports of fallout, it is time to close this.
Thanks for the reminder mandree!